﻿#pragma strict


var useSeed:boolean = true;
var seed:int = 12345;
var points:int = 1000;
var ScatterMe:GameObject;
var CopyMe:GameObject;
var staticObj:boolean = true;


function Start ()
{
	var scat:Vector3[];
	
	
	// Generate scatter points!
	if(useSeed)
	{
		scat = CLS_ScatterPoints.Scatter(ScatterMe, points, seed);
	}
	else
	{
		scat = CLS_ScatterPoints.Scatter(ScatterMe, points);
	}
	
	
	
	
	// Copy the geo over the generated scatter points.
	CLS_CopyToPoints.CopyToPoints(gameObject, CopyMe, scat);
}

function Update ()
{
	// Recalculate Scatter
	// Destroy children then remake them, by passing the cleanup variable.
	// This allows the user to change values on the fly.
	// If this is a static object which is only ever generated once, the following might as well not be executed.
	if(!staticObj)
	{
		
		var scat:Vector3[];
		
		
		// Regenerate scatter points!
		if(useSeed)
		{
			scat = CLS_ScatterPoints.Scatter(ScatterMe, points, seed);
		}
		else
		{
			scat = CLS_ScatterPoints.Scatter(ScatterMe, points);
		}
		
		
		// Recopy the geo over the generated scatter points, after cleanup.
		CLS_CopyToPoints.CopyToPoints(gameObject, CopyMe, scat, true);
	}
}